ERROR LOADING MODULE: Date::Manip::DM6

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

ERROR LOADING MODULE: Date::Manip::DM6

Federico Leva (Nemo)
Hello! I'm trying Koha on a small fedora 23 virtual machine for testing
(500 MB RAM, 1 core) and I often get this error in the web interface:

----

Software error:

ERROR LOADING MODULE: Date::Manip::DM6 at
/usr/share/perl5/vendor_perl/Date/Manip.pm line 34.
Compilation failed in require at
/usr/share/perl5/vendor_perl/C4/Overdues.pm line 25.
BEGIN failed--compilation aborted at
/usr/share/perl5/vendor_perl/C4/Overdues.pm line 25.
Compilation failed in require at
/usr/share/perl5/vendor_perl/C4/Members.pm line 29.
BEGIN failed--compilation aborted at
/usr/share/perl5/vendor_perl/C4/Members.pm line 29.
Compilation failed in require at
/usr/share/perl5/vendor_perl/C4/Search.pm line 28.
BEGIN failed--compilation aborted at
/usr/share/perl5/vendor_perl/C4/Search.pm line 28.
Compilation failed in require at
/usr/share/perl5/vendor_perl/C4/AuthoritiesMarc.pm line 24.
BEGIN failed--compilation aborted at
/usr/share/perl5/vendor_perl/C4/AuthoritiesMarc.pm line 24.
Compilation failed in require at
/usr/share/koha/intranet/cgi-bin/tools/manage-marc-import.pl line 32.
BEGIN failed--compilation aborted at
/usr/share/koha/intranet/cgi-bin/tools/manage-marc-import.pl line 32.

----

The error is always identical and goes away with a refresh. When it
happens I see I have less than 10 MB free memory so it really just seems
a resource issue. I'll give Koha more memory :) but let me know if I
missed something obvious.

Federico (BEIC)
_______________________________________________
Koha mailing list  http://koha-community.org
[hidden email]
https://lists.katipo.co.nz/mailman/listinfo/koha
Reply | Threaded
Open this post in threaded view
|

Re: ERROR LOADING MODULE: Date::Manip::DM6

Jonathan Druart
Hi Federico,

The error said that you don't have the Date::Manip module installed,
try to install it.

Regards,
Jonathan

2016-02-01 11:43 GMT+00:00 Federico Leva (Nemo) <[hidden email]>:

> Hello! I'm trying Koha on a small fedora 23 virtual machine for testing (500
> MB RAM, 1 core) and I often get this error in the web interface:
>
> ----
>
> Software error:
>
> ERROR LOADING MODULE: Date::Manip::DM6 at
> /usr/share/perl5/vendor_perl/Date/Manip.pm line 34.
> Compilation failed in require at /usr/share/perl5/vendor_perl/C4/Overdues.pm
> line 25.
> BEGIN failed--compilation aborted at
> /usr/share/perl5/vendor_perl/C4/Overdues.pm line 25.
> Compilation failed in require at /usr/share/perl5/vendor_perl/C4/Members.pm
> line 29.
> BEGIN failed--compilation aborted at
> /usr/share/perl5/vendor_perl/C4/Members.pm line 29.
> Compilation failed in require at /usr/share/perl5/vendor_perl/C4/Search.pm
> line 28.
> BEGIN failed--compilation aborted at
> /usr/share/perl5/vendor_perl/C4/Search.pm line 28.
> Compilation failed in require at
> /usr/share/perl5/vendor_perl/C4/AuthoritiesMarc.pm line 24.
> BEGIN failed--compilation aborted at
> /usr/share/perl5/vendor_perl/C4/AuthoritiesMarc.pm line 24.
> Compilation failed in require at
> /usr/share/koha/intranet/cgi-bin/tools/manage-marc-import.pl line 32.
> BEGIN failed--compilation aborted at
> /usr/share/koha/intranet/cgi-bin/tools/manage-marc-import.pl line 32.
>
> ----
>
> The error is always identical and goes away with a refresh. When it happens
> I see I have less than 10 MB free memory so it really just seems a resource
> issue. I'll give Koha more memory :) but let me know if I missed something
> obvious.
>
> Federico (BEIC)
> _______________________________________________
> Koha mailing list  http://koha-community.org
> [hidden email]
> https://lists.katipo.co.nz/mailman/listinfo/koha
_______________________________________________
Koha mailing list  http://koha-community.org
[hidden email]
https://lists.katipo.co.nz/mailman/listinfo/koha
Reply | Threaded
Open this post in threaded view
|

Re: ERROR LOADING MODULE: Date::Manip::DM6

Federico Leva (Nemo)
Thanks Jonathan. I had installed the module, that was not the problem
(otherwise the problem would not come and go, would it?).

For instance this still happens after installing:

Name        : perl-Date-Manip
Arch        : noarch
Version     : 6.59
Release     : 1.fc25

(on fedora 25 with koha 17.05)

----

ERROR LOADING MODULE: Date::Manip::DM6 at
/usr/share/perl5/vendor_perl/Date/Manip.pm line 34.
Compilation failed in require at
/usr/share/perl5/vendor_perl/C4/Overdues.pm line 25.
BEGIN failed--compilation aborted at
/usr/share/perl5/vendor_perl/C4/Overdues.pm line 25.
Compilation failed in require at
/usr/share/perl5/vendor_perl/C4/Members.pm line 30.
BEGIN failed--compilation aborted at
/usr/share/perl5/vendor_perl/C4/Members.pm line 30.
Compilation failed in require at
/usr/share/perl5/vendor_perl/C4/Reserves.pm line 28.
BEGIN failed--compilation aborted at
/usr/share/perl5/vendor_perl/C4/Reserves.pm line 28.
Compilation failed in require at
/usr/share/perl5/vendor_perl/C4/Circulation.pm line 28.
BEGIN failed--compilation aborted at
/usr/share/perl5/vendor_perl/C4/Circulation.pm line 28.
Compilation failed in require at /usr/share/perl5/vendor_perl/C4/XSLT.pm
line 30.
BEGIN failed--compilation aborted at
/usr/share/perl5/vendor_perl/C4/XSLT.pm line 30.
Compilation failed in require at
/usr/share/perl5/vendor_perl/C4/Search.pm line 29.
BEGIN failed--compilation aborted at
/usr/share/perl5/vendor_perl/C4/Search.pm line 29.
Compilation failed in require at
/usr/share/perl5/vendor_perl/C4/AuthoritiesMarc.pm line 25.
BEGIN failed--compilation aborted at
/usr/share/perl5/vendor_perl/C4/AuthoritiesMarc.pm line 25.
Compilation failed in require at
/usr/share/perl5/vendor_perl/C4/ImportBatch.pm line 28.
BEGIN failed--compilation aborted at
/usr/share/perl5/vendor_perl/C4/ImportBatch.pm line 28.
Compilation failed in require at
/usr/share/koha/intranet/cgi-bin/tools/stage-marc-import.pl line 40.
BEGIN failed--compilation aborted at
/usr/share/koha/intranet/cgi-bin/tools/stage-marc-import.pl line 40.

----

But it disappeared after installing the next version from CPAN:

----

# cpanm Date::Manip
--> Working on Date::Manip
Fetching
http://www.cpan.org/authors/id/S/SB/SBECK/Date-Manip-6.60.tar.gz ... OK
Configuring Date-Manip-6.60 ... OK
==> Found dependencies: Test::Inter
--> Working on Test::Inter
Fetching
http://www.cpan.org/authors/id/S/SB/SBECK/Test-Inter-1.06.tar.gz ... OK
Configuring Test-Inter-1.06 ... OK
Building and testing Test-Inter-1.06 ... OK
Successfully installed Test-Inter-1.06
Building and testing Date-Manip-6.60 ... OK
Successfully installed Date-Manip-6.60 (upgraded from 6.59)
2 distributions installed

----

Let's see if the error still comes and go.

Federico
_______________________________________________
Koha mailing list  http://koha-community.org
[hidden email]
https://lists.katipo.co.nz/mailman/listinfo/koha